.ht-button {
  background-color: $main-color;
  position: relative;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  display: inline-block;
  max-height: 46px;
  text-decoration: none;
  font-size: 16px;
  border-radius: 5px;
  transition: background-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out, color 0.2s ease-in-out;
  box-shadow: 0 4px 8px 0 rgba($main-color,0.2);
  cursor: pointer;

  @each $color in map-keys($usableColors) {
    &-#{$color} {
      background-color: map-get($usableColors, $color);
      box-shadow: 0 4px 8px 0 rgba(map-get($usableColors, $color), 0.2);
      &-isloading {
        background-color: rgba(map-get($usableColors, $color), 0.8);
      }
      &-inverse {
        background-color: transparent;
        border: 1.5px solid map-get($usableColors, $color);
        color: map-get($usableColors, $color);
        &:hover {
          color: white;
          background-color: map-get($usableColors, $color);
        }
      }
      &:hover {
        background-color: rgba(map-get($usableColors, $color), 0.8);
        box-shadow: 0 8px 16px 0 rgba(map-get($usableColors, $color), 0.2);
      }

      &__loader,
      &__loader:before,
      &__loader:after {
        border-radius: 50%;
        width: 1.5em;
        height: 1.5em;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;
        -webkit-animation: load7 1.8s infinite ease-in-out;
        animation: load7 1.8s infinite ease-in-out;
      }
      &__loader {

        color: map-get($usableColors, $color);
        font-size: 10px;
        margin: 0 auto;
        position: absolute;
        bottom: 40px;
        text-indent: -9999em;
        -webkit-transform: translateZ(0);
        -ms-transform: translateZ(0);
        transform: translateZ(0);
        -webkit-animation-delay: -0.16s;
        animation-delay: -0.16s;
      }
      &__loader:before,
      &__loader:after {
        content: '';
        position: absolute;
        top: 0;
      }
      &__loader:before {
        left: -2.5em;
        -webkit-animation-delay: -0.32s;
        animation-delay: -0.32s;
      }
      &__loader:after {
        left: 2.5em;
      }
      &-loading {
        top: -25px;
        width: 18px !important;
        height: 17px !important;
        position: relative;
        display: inline-block;
        vertical-align: middle;
      }
    }
  }
  &__full {
    width: 100%;
  }
}
@-webkit-keyframes load7 {
  0%,
  80%,
  100% {
    box-shadow: 0 2.5em 0 -1.3em;
  }
  40% {
    box-shadow: 0 2.5em 0 0;
  }
}
@keyframes load7 {
  0%,
  80%,
  100% {
    box-shadow: 0 2.5em 0 -1.3em;
  }
  40% {
    box-shadow: 0 2.5em 0 0;
  }
}
